Storyden
Collections

Collection List

List collections using the filtering options, newest first. Collections accumulate with members, so results are paginated.

GET
/collections

List collections using the filtering options, newest first.

Collections accumulate with members, so results are paginated.

Authorization

cookiestoryden-session<token>

Query Parameters

account_handle?string

Account handle.

has_item?string

When specified, will include a field in the response indicating whether or not the specified item is present in the collection. This saves you needing to make two queries to check if an item is in a collection.

Formatxid
page?string

Pagination query parameters.

Response Body

Collection list.

application/json
  1. response

To be composed with paginated resource responses.

page_size*integer
results*integer
total_pages*integer
current_page*integer
next_page?integer
collections*array<>
Example Request
curl -X GET 'https://example.com/api/collections?account_handle=southclaws'
Example Response
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "collections": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "name": "string",      "slug": "string",      "description": "string",      "owner": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "item_count": 0,      "has_queried_item": true    }  ]}